/* MasC interpreter/compiler
   (Master Assembly Script Container)
   written by Jared Bruni
   
   After reading Writing Compilers and Interpreters A approach using C++ by Ronald Mak
   and the Dragon Book
   code completly re-written but using concepts teached in this book
*/

// errors source file implementation

#include "error.h"

// Print out Syntax Error
void printError(const char *str)
{
     printf("Error #(%d) %s\n", ++error_count, str);    
}

// Print Out Syntax Error
void printSyntaxError(enum syntax_err serr)
{
     printf("Error #(%d) %s\n", ++error_count, syntax_err[serr]);
}
// Abort compilation in cause of a unrecoverable error
void Abort()
{
     freeAll();
     system("PAUSE");
     exit(0);
}

// little darling the smiles returning to there faces
